import java.awt.*;
import javax.swing.*;

import app.*;
import visual.*;

/**
 * An example that illustrates the use of described
 * static visual content
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class BuzzyApp extends AbstractMultimediaApp
{
    /**
     * This method is called just before the main window
     * is first made visible
     */
    public void init()
    {
       BoringBuzzy               buzzy;
       JPanel                    contentPane;       
       Visualization             visualization;
       VisualizationView         component;       

       // Construct the Visualization
       visualization = new Visualization();

       // Add Buzzy to the Visualization
       buzzy  = new BoringBuzzy();
       visualization.add(buzzy);       

       // Get the VisualizationView
       component = visualization.getView();       
       component.setDoubleBuffered(false);

       // Add the VisualizationView to the main window
       contentPane = (JPanel)rootPaneContainer.getContentPane();
       component.setBounds(0,0,100,100);       
       contentPane.add(component);
    }
}
