import java.awt.*;
import java.awt.geom.*;
import javax.swing.*;

import app.*;
import visual.VisualizationView;
import visual.dynamic.described.*;

/**
 * An example of "sprite animation" that uses a DescribedSprite,
 * rotation tweening, location tweening, and shape tweening
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class   BuzzyJumpingApp
       extends AbstractMultimediaApp
{
    /**
     * The entry point of the application
     */
    public void init()
    {
       BuzzyJumping              buzzy;
       JPanel                    contentPane;       
       Stage                     stage;
       VisualizationView         stageView;

       // The Stage
       stage = new Stage(50);
       stage.setBackground(Color.white);
       stage.setRestartTime(7000);
       stageView = stage.getView();
       stageView.setBounds(0,0,640,480);       

       // The Sprite 
       buzzy = new BuzzyJumping();
       stage.add(buzzy);
        
       // The content pane
       contentPane = (JPanel)rootPaneContainer.getContentPane();
       contentPane.add(stageView);

       stage.start();
    }
}
