import javax.swing.*;
	
import app.*;
	
/**
 * An example that illustrates described dynamic visual content
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class   BuzzyJumpingApplication
   extends MultimediaApplication
{
    /**
     * The entry-point of the application
     *
     * @param args    The command-line arguments
     */
    public static void main(String[] args) throws Exception
    {
       SwingUtilities.invokeAndWait(
          new BuzzyJumpingApplication(args, 640, 480));
    }
	
    /**
     * Explicit Value Constructor
     *
     * @param args    The command-line arguments
     * @param width   The width of the content (in pixels)
     * @param height  The height of the content (in pixels)
     */
    public BuzzyJumpingApplication(String[] args,
                                   int width, int height)
    {
       super(args, new BuzzyJumpingApp(), width, height);
    }
}
