import java.awt.*;
import java.awt.geom.*;
import javax.swing.*;

import app.*;
import io.*;
import visual.VisualizationView;
import visual.dynamic.described.*;
import visual.statik.sampled.*;

/**
 * An example of "sprite animation" that uses: rules
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class   FallingCharacterApp
       extends AbstractMultimediaApp
{
    /**
     * The entry point
     */
    public void init()
    {
       Content                        content;
       ContentFactory                 factory;
       JPanel                         contentPane;       
       ResourceFinder                 finder;       
       Stage                          stage;
       VisualizationView              stageView;

       finder      = ResourceFinder.createInstance(this);       
       factory     = new ContentFactory(finder);       

       // The Stage
       stage       = new Stage(50);
       content     = factory.createContent("fallingcharacterbg.png");
       stageView   = stage.getView();
       stageView.setBounds(0,0,640,480);       
       stageView.setBackground(Color.black);
       stage.add(content);

       // The Sprites
       for (int i=0; i < 200; i++) 
          stage.add(new FallingCharacter(640, 480));
        
       // The content pane
       contentPane = (JPanel)rootPaneContainer.getContentPane();
       contentPane.add(stageView);

       stage.start();
    }
}
