import app.*;

import javax.swing.*;

/**
 * A simple MultimediaApplication that uses an Orchestra
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class      OrchestraApplication
       extends    MultimediaApplication
{
    /**
     * The entry-point of the application
     *
     * @param args    The command-line arguments
     */
    public static void main(String[] args) throws Exception
    {
       SwingUtilities.invokeAndWait(
          new OrchestraApplication(args, 600,400));
    }

    /**
     * Explicit Value Constructor
     *
     * @param args    The command-line aguments
     * @param width   The width of the content (in pixels)
     * @param height  The height of the content (in pixels)
     */
    public OrchestraApplication(String[] args,
                                          int width, int height)
    {
       super(args, new OrchestraApp(), width, height);       
    }
}
