import auditory.described.*;
import io.*;

/**
 * An application that reads a String representations of
 * a Score object (from a file) and presents it using an Orchestra
 */
public class OrchestraDriver
{
    /**
     * The entry point
     *
     * args[0] should contain the name of the file
     *
     * @param args  The command line arguments
     */
    public static void main(String[] args) throws Exception
    {
       Orchestra       orchestra;       
       ResourceFinder  finder;       
       Score           score;
       ScoreFactory    factory;
       
       finder  = ResourceFinder.createInstance(new OrchestraDriver());

       factory = new ScoreFactory(finder);
       score = factory.createScore("/"+args[0]);

       orchestra = new Orchestra(score);       
       orchestra.start();
    }
}
