import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

import app.*;
import visual.*;
import io.ResourceFinder;
import visual.dynamic.*;
import visual.dynamic.described.*;
import visual.dynamic.sampled.*;
import visual.statik.*;
import visual.statik.described.*;
import visual.statik.sampled.*;

/**
 * An example that illustrates combined sampled and described
 * dynamic visual content
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1
 */
public class   SpecialEffectsApp
       extends AbstractMultimediaApp
{
    /**
     * The entry-point of the application
     */
    public void init()
    {
       Bee                                   bee;       
       visual.statik.sampled.Content         content;       
       ContentFactory                        factory;       
       JPanel                                contentPane;
       ResourceFinder                        finder;       
       SpecialEffectsScreen                  screen;
       SimpleContent[]                       frames;
       String[]                              names;       
       VisualizationView                     view;
        
       screen = new SpecialEffectsScreen();
       screen.setRepeating(true);
       
       view = screen.getView();       
       view.setBounds(0,0,320,240);       

       contentPane = (JPanel)rootPaneContainer.getContentPane();
       contentPane.add(view);
       
       finder = ResourceFinder.createInstance(this);

       names = finder.loadResourceNames("scribble.txt");
       factory = new ContentFactory(finder);          
       frames = factory.createContents(names, 4);

       for (int i=0; i<frames.length; i++)
       {
          screen.add(frames[i]);          
       }

       bee = new Bee();
       screen.add(bee);       

       screen.start();       
    }
}
