import java.awt.*;
import java.awt.geom.*;
import javax.swing.*;

import app.*;

/**
 * An example that illustrates different kinds of curves (using
 * the CurveCanvas class)
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class   CurveApp
       extends AbstractMultimediaApp
{
    /**
     * The entry point
     */
    public void init()
    {
       CurveCanvas         canvas;
       JPanel              contentPane;

       canvas = new CurveCanvas();
       canvas.setBounds(0,0,400,400);
       
       canvas.addCurve(new CubicCurve2D.Double(200,200,
                                               200,150,
                                               250,174,
                                               300,300));
       
       canvas.addCurve(new QuadCurve2D.Double(20, 20,
                                              50, 25,
                                             100,100));
       

       contentPane = (JPanel)rootPaneContainer.getContentPane();
       contentPane.add(canvas);
    }
}
