import java.io.*;
import java.net.*;
import javax.swing.*;
	
import app.*;
	
/**
 * An example that illustrates different kinds of curves (using the
 * CurveCanvas class)
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class   CurveApplication
       extends MultimediaApplication
{
    /**
     * The entry-point of the application
     *
     * @param args    The command-line arguments
     */
    public static void main(String[] args) throws Exception
    {
       SwingUtilities.invokeAndWait(
          new CurveApplication(args, 400, 400));
    }
	
    /**
     * Explicit Value Constructor
     *
     * @param args    The command-line arguments
     * @param width   The width of the content (in pixels)
     * @param height  The height of the content (in pixels)
     */
    public CurveApplication(String[] args,
                            int width, int height)
    {
       super(args, new CurveApp(), width, height);
    }
}
