package visual.dynamic.sampled;

import java.awt.*;

/**
 * A transition that fades-out the previous frame and
 * fades-in the new one
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class Dissolve extends Fade
{
    /**
     * Explicit Value Constructor
     *
     * @param first     The first frame
     * @param duration  The duration (in frames)
     */
    public Dissolve(int first, int duration)
    {
	super(FADE_IN, first, duration);
    }

    /**
     * Set the destination (in the Porter-Duff sense) pixels
     * to be used in alpha blending
     *
     * @param g  The rendering engine
     */
    protected void setDestinationPixels(Graphics g)
    {
	// Use the last frame
    }
}
